Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.misc
Class GroupMap

    java.lang.Object
      baseCode.misc.GroupMap

public class GroupMap
extends java.lang.Object

A data structure representing a map between items and a single set of keys. For example, a set of probes and the genes they map to. Probes that point to the same gene are in the same "group".

Copyright (c) 2004

Institution: Columbia University

Version:
  $Id: GroupMap.java,v 1.3 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Constructor Summary
`GroupMap()`

Method Summary
`int` | `getUniqueItems()`
`boolean` | `hasDuplicates(java.lang.String k)` For a given key, return true if it has duplicates.
`int` | `numDuplicates(java.lang.String k)` For a given key, return the number of duplicates it has (not counting itself).
`java.util.Map` | `read(java.lang.String filename, DenseDoubleMatrix2DNamed dataMatrix)` The input file format is that used by `MapReader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupMap

    public GroupMap()

Method Detail

### getUniqueItems

    public int getUniqueItems()

  Returns:
    int The number of unique items in the GroupMap.

### hasDuplicates

    public boolean hasDuplicates(java.lang.String k)

  For a given key, return true if it has duplicates.

  Parameters:
    `k` - String
  Returns:
    boolean

### numDuplicates

    public int numDuplicates(java.lang.String k)

  For a given key, return the number of duplicates it has (not counting itself).

  Parameters:
    `k` - String
  Returns:
    int

### read

    public java.util.Map read(java.lang.String filename,
                              DenseDoubleMatrix2DNamed dataMatrix)
                       throws java.io.IOException

  The input file format is that used by `MapReader`.

  Parameters:
    `filename` - Duplicate map file name to be read by a MapReader.
    `dataMatrix` - Data file this the map refers to.
  Returns:
    Map
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.